# LaTeX2HTML site specific configuration file
# generated by config.pl

# You may edit this file to get around deficiencies of the configuration
# procedure, but you have to be sure of what you are doing!
# If you think there are bugs in the configuration procedure, please report
# them. See the BUGS file on how to do it. Your help is appreciated!

package cfgcache;
require Exporter;
@ISA = qw(Exporter);
@EXPORT = qw(%cfg);

my $selfauto = `kpsewhich --expand-var \$SELFAUTOPARENT`;
chomp $selfauto;
my $prefix = "$selfauto\\l2h";

$cfg{'ANYTOPNM'} = q'';
$cfg{'BINDIR'} = "$prefix\\bin";
$cfg{'BMPTOPPM'} = q'bmptoppm.exe';
$cfg{'CRAYOLAFILE'} = "$prefix\\styles\\crayola.txt";
$cfg{'DVIPS'} = q'dvips.exe';
$cfg{'DVIPSOPT'} = q' -Ppdf  -E';
$cfg{'GIFTOPNM'} = q'giftopnm.exe';
$cfg{'GS'} = q'gswin32c.exe';
$cfg{'GSALIASDEVICE'} = q'ppmraw';
$cfg{'GSDEVICE'} = q'pnmraw';
$cfg{'GSLANDSCAPE'} = q'';
$cfg{'GS_LIB'} = q'';
$cfg{'HASHBANG'} = q'0';
$cfg{'HTML_VALIDATOR'} = q'';
my $iconpath = "$prefix/lib/icons";
$iconpath =~ s@\\@/@g;
$iconpath =~ s!^\([A-Za-z]\):!file:///$1|!;
print "iconpath = $iconpath\n";
$cfg{'ICONPATH'} = $iconpath;
$cfg{'ICONSERVER'} = q'';
$cfg{'ICONSTORAGE'} = q'';
$cfg{'IMAGE_TYPES'} = q'png gif';
$cfg{'INITEX'} = q'initex.exe';
$cfg{'JPEGTOPNM'} = q'jpegtopnm.exe';
$cfg{'KPSEWHICH'} = q'kpsewhich.exe';
$cfg{'LATEX'} = q'latex.exe';
$cfg{'LATEX2HTMLDIR'} = "$prefix";
$cfg{'LATEX2HTMLPLATDIR'} = "$prefix";
$cfg{'LIBDIR'} = "$prefix";
$cfg{'METADPI'} = q'0';
$cfg{'METAMODE'} = q'';
$cfg{'MKTEXLSR'} = q'mktexlsr.exe';
$cfg{'NULLFILE'} = q'nul:';
$cfg{'PBMMAKE'} = q'pbmmake.exe';
$cfg{'PCXTOPPM'} = q'pcxtoppm.exe';
$cfg{'PERL'} = q'perl.exe';
$cfg{'PERLFOOTER'} = <<'EOQ';
__END__
:endofperl
EOQ
$cfg{'PERLHEADER'} = <<'EOQ';
@rem = '--*-Perl-*--
@echo off
set arg=
set prog=%0
:one
if "%1"=="" goto two
set arg=%arg% %1
shift
goto one
:two
if exist %prog%.bat goto indot
d:\Local\Perl\bin\perl.exe -x -S %prog% %arg%
goto endofperl
:indot
d:\Local\Perl\bin\perl.exe -x %prog%.bat %arg%
set arg=
set prog=
goto endofperl
@rem ';
#! perl -w
# line 21
EOQ
$cfg{'PERLSCRIPTDIR'} = q'';
$cfg{'PICTTOPPM'} = q'picttoppm.exe';
$cfg{'PK_GENERATION'} = q'0';
$cfg{'PNGTOPNM'} = q'pngtopnm.exe';
$cfg{'PNMBLACK'} = q'';
$cfg{'PNMCAT'} = q'pnmcat.exe';
$cfg{'PNMCROP'} = q'pnmcrop.exe -verbose ';
$cfg{'PNMCROPOPT'} = q' -sides ';
$cfg{'PNMCUT'} = q'pnmcut.exe';
$cfg{'PNMFILE'} = q'pnmfile.exe';
$cfg{'PNMFLIP'} = q'pnmflip.exe';
$cfg{'PNMPAD'} = q'pnmpad.exe';
$cfg{'PNMROTATE'} = q'pnmrotate.exe';
$cfg{'PNMSCALE'} = q'pnmscale.exe';
$cfg{'PNMTOPNG'} = q'pnmtopng.exe';
$cfg{'PPMQUANT'} = q'ppmquant.exe';
$cfg{'PPMTOGIF'} = q'ppmtogif.exe';
$cfg{'PPMTOJPEG'} = q'ppmtojpeg.exe';
$cfg{'PREFIX'} = $prefix;
$cfg{'RGBCOLORFILE'} = q'$prefix\\styles\\rgb.txt';
$cfg{'SGITOPNM'} = q'sgitopnm.exe';
$cfg{'SHLIBDIR'} = "$prefix";
$cfg{'TEX'} = q'tex.exe';
my $texpath = `kpsewhich --expand-var \$TEXMFMAIN/tex/latex/latex2html`;
chomp $texpath;
$cfg{'TEXPATH'} = $texpath;
$cfg{'TIFFTOPNM'} = q'tifftopnm.exe';
$cfg{'TMPSPACE'} = $ENV{'TEMP'};
$cfg{'WEB2C'} = q'1';
$cfg{'XBMTOPBM'} = q'xbmtopbm.exe';
$cfg{'XWDTOPNM'} = q'xwdtopnm.exe';
$cfg{'dd'} = q'\\';
$cfg{'distver'} = q'2002-1';
$cfg{'exec_extension'} = q'.bat';
$cfg{'gif_interlace'} = q'netpbm';
$cfg{'gif_trans'} = q'netpbm';
$cfg{'have_dvipsmode'} = q'';
$cfg{'have_geometry'} = q'1';
$cfg{'have_images'} = q'1';
$cfg{'have_pstoimg'} = q'1';
$cfg{'perl_starter'} = q'perl.exe -x';
$cfg{'pipes'} = q'0';
$cfg{'plat'} = q'win32';
$cfg{'scriptdir'} = q'';
$cfg{'scriptext'} = q'.bat';
$cfg{'srcdir'} = q'D:\\Source\\fptex\\source.development\\utils\\latex2html';
$cfg{'texlive'} = q'1';
$cfg{'wrapper'} = q'0';

1; # must be last line
